# Poco::Dynamic

# template < typename K >

# class Pair

Library: Foundation
Package: Dynamic
Header: Poco/Dynamic/Pair.h

## Description

Pair allows to define a pair of values.

## Member Summary

Member Functions: first, operator =, second, swap, toString

## Types Aliases

### Data

using Data = typename std::pair < K, Var >;

## Constructors

### Pair

Pair();

Creates an empty Pair

### Pair

Pair(
const Pair & other
);

Creates the Pair from another pair.

### Pair

Pair(
const Data & val
);

Creates the Pair from the given value.

### Pair

template < typename T > Pair(
const std::pair < K, T > & val
);

Creates Pair form standard pair.

### Pair

template < typename T > Pair(
const K & first,
const T & second
);

Creates pair from two values.

## Destructor

### ~Pair

virtual ~Pair();

Destroys the Pair.

## Member Functions

### first

inline const K & first() const;

Returns the first member of the pair.

### operator =

Pair & operator = (
const Pair & other
);

Copy constructs Pair from another pair.

### second

inline const Var & second() const;

Returns the second member of the pair.

### swap

Pair & swap(
Pair & other
) noexcept;

Swaps the content of the two Pairs.

### toString

std::string toString();